# setUrl

abstract fun setUrl(url: URI)

Sets the base URL of this repository. This URL is used to find both POMs and artifact files. You can add additional URLs to use to look for artifact files, such as jars, using setArtifactUrls.

#### Since

4.0

#### Parameters

url

The base URL.

abstract fun setUrl(url: Any)

Sets the base URL of this repository. This URL is used to find both POMs and artifact files. You can add additional URLs to use to look for artifact files, such as jars, using setArtifactUrls.

The provided value is evaluated as per uri. This means, for example, you can pass in a `File` object, or a relative path to be evaluated relative to the project directory.

#### Parameters

url

The base URL.